package com.example.repository;

import com.example.entity.dto.AccountDTO;
import org.springframework.data.r2dbc.repository.Query;
import org.springframework.data.repository.reactive.ReactiveCrudRepository;
import reactor.core.publisher.Mono;

public interface AccountRepository extends ReactiveCrudRepository<AccountDTO, Long> {

    /**
     * 通过用户名或邮箱查找账户
     */
    @Query("SELECT * FROM db_account WHERE username = :username OR email = :email LIMIT 1")
    Mono<AccountDTO> findByUsernameOrEmail(String username, String email);

}
